Skip to content

DealerService⁠

Manage dealer record information.

Operations⁠

searchReservePlanTrackingSelectFields⁠

POST

Searches reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTrackingSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTrackingPagedListSelectFields⁠

POST

Retrieves a paged list of reserve plan tracking information with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTrackingPagedListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTrackingPagedSelectFields⁠

POST

Searches reserve plan tracking information with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTrackingPagedSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllReservePlanTrackingFields": true,
    "ReservePlanTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTransactionPagedList⁠

POST

Retrieves a paged list of reserve plan transactions.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/dealer/getReservePlanTransactionPagedList
POST /nexum/627/2022.01/dealer/getReservePlanTransactionPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getReservePlanTransactionListSelectFields⁠

POST

Retrieves a list of reserve plan transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/getReservePlanTransactionListSelectFields
POST /nexum/627/2022.01/dealer/getReservePlanTransactionListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchReservePlanTransactionSelectFields⁠

POST

Searches reserve plan transactions with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DealerNumberstringoptional
ReservePlanIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/dealer/searchReservePlanTransactionSelectFields
POST /nexum/627/2022.01/dealer/searchReservePlanTransactionSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DealerNumber": "string",
  "ReservePlanId": "string",
  "SelectableFields": {
    "IncludeAllReservePlanTransactionFields": true,
    "ReservePlanTransactionFields": {
      "AccountNumber": true,
      "ActionCode": true,
      "ActivityDate": true,
      "AdjustmentCode": true,
      "BalanceChange": true,
      "BatchSequence": true,
      "Branch": true,
      "Comment": true,
      "CommentFlag": true,
      "ConsoleNumber": true,
      "DealerNumber": true,
      "Description": true,
      "EffectiveDate": true,
      "LoanId": true,
      "MemberBranch": true,
      "NewBalance": true,
      "ParticipantType": true,
      "PlanId": true,
      "PostDate": true,
      "PostTime": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}